Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface Variable

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `Expression`, `org.eclipse.emf.common.notify.Notifier`
  All Known Subinterfaces:
    `LocalVariable`, `Parameter`, `ParameterRef`
  All Known Implementing Classes:
    `LocalVariableImpl`, `ParameterImpl`, `ParameterRefImpl`, `VariableImpl`

      public interface Variable
      extends Expression

  A representation of the model object 'Variable'.

  The following features are supported:

  - `Name`
  - `Type`
  See Also:
    `PatternLanguagePackage.getVariable()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the value of the 'Name' attribute.
    `Type` | `getType()` | Returns the value of the 'Type' containment reference.
    `void` | `setName​(java.lang.String value)` | Sets the value of the '`Name`' attribute.
    `void` | `setType​(Type value)` | Sets the value of the '`Type`' containment reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `PatternLanguagePackage.getVariable_Name()`
      Generated:
      Model:

    - #### setName

          void setName​(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated:

    - #### getType

          Type getType()

      Returns the value of the 'Type' containment reference.
      Returns:
        the value of the 'Type' containment reference.
      See Also:
        `setType(Type)`, `PatternLanguagePackage.getVariable_Type()`
      Generated:
      Model:
        containment="true"

    - #### setType

          void setType​(Type value)

      Sets the value of the '`Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Type' containment reference.
      See Also:
        `getType()`
      Generated:

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `Expression`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model: